Package ru.bitel.bgbilling.modules.reports.server.bean

# Class BGBSQueryExecuterFactory.FormatFactory

java.lang.Object
net.sf.jasperreports.engine.util.DefaultFormatFactory
ru.bitel.bgbilling.modules.reports.server.bean.BGBSQueryExecuterFactory.FormatFactory

All Implemented Interfaces:
  `net.sf.jasperreports.engine.util.FormatFactory`

Enclosing class:
  BGBSQueryExecuterFactory

    public static class BGBSQueryExecuterFactory.FormatFactory
    extends net.sf.jasperreports.engine.util.DefaultFormatFactory

- ## Field Summary

  ### Fields inherited from class net.sf.jasperreports.engine.util.DefaultFormatFactory

  `EXCEPTION_MESSAGE_KEY_FACTORY_INSTANCE_ERROR, EXCEPTION_MESSAGE_KEY_FACTORY_LOADING_ERROR, STANDARD_DATE_FORMAT_DEFAULT, STANDARD_DATE_FORMAT_FULL, STANDARD_DATE_FORMAT_HIDE, STANDARD_DATE_FORMAT_LONG, STANDARD_DATE_FORMAT_MEDIUM, STANDARD_DATE_FORMAT_SEPARATOR, STANDARD_DATE_FORMAT_SHORT, STANDARD_NUMBER_FORMAT_DURATION`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `FormatFactory()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.text.NumberFormat` | `createNumberFormat​(java.lang.String pattern, java.util.Locale locale)` |

  ### Methods inherited from class net.sf.jasperreports.engine.util.DefaultFormatFactory

  `createDateFormat, createFormatFactory, getDateFormat, getDateStyle`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FormatFactory

    public FormatFactory()

- ## Method Details

  - ### createNumberFormat

    public java.text.NumberFormat createNumberFormat​(java.lang.String pattern, java.util.Locale locale)
    Specified by:
      `createNumberFormat` in interface `net.sf.jasperreports.engine.util.FormatFactory`
    Overrides:
      `createNumberFormat` in class `net.sf.jasperreports.engine.util.DefaultFormatFactory`